function [K, Ki] = Kd2KKi (Kd,A0,A1,A2,A3)

al1=A1^3+A3*A0^2-2*A0*A2*A1;
be1=2*A0^2*Kd*A2+2*A3*A0-2*A2*A1-2*A1^2*Kd*A0;
ga1=A0^4*Kd^3+3*A0^2*Kd^2*A1+2*A0*Kd*A2+A1^2*Kd+A3;

if (al1 ~= 0)
   K = (-be1 - sqrt(be1^2 - 4*al1*ga1))/(2*al1);   
else   
   K = -ga1/be1;
end

Ki = 1/2*(A0^2*K.^2+2*A0*K+ones(size(K)))/(A0^2*Kd+A1);

