% function plot_more (y,title1,xlabel1,Legend_description,N_data,N_points,axis1);

function plot_more (y,title1,xlabel1,Legend_description,N_data,N_points,axis1);

a = size(y);
r = a(1);		% Number of rows (data points)
c = a(2);		% Number of columns
c = c-1;			% First column is time axis

R_data = round(r/N_data);
R_points = round(r/N_points);

if (c == 1)
   plot(y(1:R_data:end,1), y(1:R_data:end,2))
   grid
   if (nargin > 6)
      axis(axis1);
   end   
	title(title1)
	xlabel(xlabel1)
   if ~isempty(Legend_description) 
      legend(Legend_description,0)
   end;

elseif (c == 2)
   plot(y(1:R_data:end,1), y(1:R_data:end,2),y(1:R_data:end,1), y(1:R_data:end,3),'--')
   grid
   if (nargin > 6)
      axis(axis1);
   end   
	title(title1)
	xlabel(xlabel1)
   if ~isempty(Legend_description) 
      legend(Legend_description,0)
   end;

elseif (c == 3)
   plot(y(1:R_data:end,1), y(1:R_data:end,2),y(1:R_data:end,1), y(1:R_data:end,3),'--',y(1:R_data:end,1), y(1:R_data:end,4),'-.')
   grid
   if (nargin > 6)
      axis(axis1);
   end   
	title(title1)
	xlabel(xlabel1)
   if ~isempty(Legend_description) 
      legend(Legend_description,0)
   end;
   
elseif (c == 4)
   plot(y(1:R_data:end,1), y(1:R_data:end,2),y(1:R_data:end,1), y(1:R_data:end,3),'--',y(1:R_data:end,1), y(1:R_data:end,4),'-.',y(1:R_points:end,1), y(1:R_points:end,5),'ok',y(1:R_data:end,1), y(1:R_data:end,5),'k')
   grid
   if (nargin > 6)
      axis(axis1);
   end   
	title(title1)
	xlabel(xlabel1)
   if ~isempty(Legend_description) 
      legend(Legend_description,0)
   end;
   
elseif (c == 5)
   plot(y(1:R_data:end,1), y(1:R_data:end,2),y(1:R_data:end,1), y(1:R_data:end,3),'--',y(1:R_data:end,1), y(1:R_data:end,4),'-.',y(1:R_points:end,1), y(1:R_points:end,5),'ok',y(1:R_points:end,1), y(1:R_points:end,6),'xk',y(1:R_data:end,1), y(1:R_data:end,5),'k',y(1:R_data:end,1), y(1:R_data:end,6),'k')
   grid
   if (nargin > 6)
      axis(axis1);
   end   
	title(title1)
	xlabel(xlabel1)
   if ~isempty(Legend_description) 
      legend(Legend_description,0)
   end;
   
elseif (c == 6)
   plot(y(1:R_data:end,1), y(1:R_data:end,2),y(1:R_data:end,1), y(1:R_data:end,3),'--',y(1:R_data:end,1), y(1:R_data:end,4),'-.',y(1:R_points:end,1), y(1:R_points:end,5),'ok',y(1:R_points:end,1), y(1:R_points:end,6),'xk',y(1:R_points:end,1), y(1:R_points:end,7),'+k',y(1:R_data:end,1), y(1:R_data:end,5),'k',y(1:R_data:end,1), y(1:R_data:end,6),'k',y(1:R_data:end,1), y(1:R_data:end,7),'k')
   grid
   if (nargin > 6)
      axis(axis1);
   end   
   title(title1)
	xlabel(xlabel1)
   if ~isempty(Legend_description) 
      legend(Legend_description,0)
   end;
   
elseif (c == 7)
   plot(y(1:R_data:end,1), y(1:R_data:end,2),y(1:R_data:end,1), y(1:R_data:end,3),'--',y(1:R_data:end,1), y(1:R_data:end,4),'-.',y(1:R_points:end,1), y(1:R_points:end,5),'ok',y(1:R_points:end,1), y(1:R_points:end,6),'xk',y(1:R_points:end,1), y(1:R_points:end,7),'+k',y(1:R_points:end,1), y(1:R_points:end,8),'sk',y(1:R_data:end,1), y(1:R_data:end,5),'k',y(1:R_data:end,1), y(1:R_data:end,6),'k',y(1:R_data:end,1), y(1:R_data:end,7),'k',y(1:R_data:end,1), y(1:R_data:end,8),'k')
   grid
   if (nargin > 6)
      axis(axis1);
   end   
	title(title1)
	xlabel(xlabel1)
   if ~isempty(Legend_description) 
      legend(Legend_description,0)
   end;
   
elseif (c == 8)
   plot(y(1:R_data:end,1), y(1:R_data:end,2),y(1:R_data:end,1), y(1:R_data:end,3),'--',y(1:R_data:end,1), y(1:R_data:end,4),'-.',y(1:R_points:end,1), y(1:R_points:end,5),'ok',y(1:R_points:end,1), y(1:R_points:end,6),'xk',y(1:R_points:end,1), y(1:R_points:end,7),'+k',y(1:R_points:end,1), y(1:R_points:end,8),'sk',y(1:R_points:end,1), y(1:R_points:end,9),'dk',y(1:R_data:end,1), y(1:R_data:end,5),'k',y(1:R_data:end,1), y(1:R_data:end,6),'k',y(1:R_data:end,1), y(1:R_data:end,7),'k',y(1:R_data:end,1), y(1:R_data:end,8),'k',y(1:R_data:end,1), y(1:R_data:end,9),'k')
   grid
   if (nargin > 6)
      axis(axis1);
   end   
	title(title1)
	xlabel(xlabel1)
   if ~isempty(Legend_description) 
      legend(Legend_description,0)
   end;
   
end;
