% function [tl,tr,trah] = find_tltr_compah (num,den,Tdelay,tv);

function [tl,tr,trah] = find_tltr_compah (num,den,Tdelay,tv);

ysim = step(num,den,tv);	% Simulate process response

if (size(den) < 2)
   tr = 0;
   tl = 0;
else
   [tr,tl,iref,trah] = findtrtl_ah(tv,ysim);	% Calculate lag and rise times
	   
end
tl = tl + Tdelay;
if (tl < 1e-12)			% protection agains division by zero
   tl = 1e-12;
end;
if (tr < 1e-12)
   tr = 1e-12;
end;

